PSYCLE's home     
     since may 2000
  news / home  files songs boards links all registered members about psycledelics Statistics    
╗ Welcome to -psycledelics-. If this is your 1st visit please read the FAQ - Frequently Asked Questions You must register before you can post here: Please click above on Registration to register yourself. You do not need to register if you only want to read Threads.
Login with Username & Password:

Remember me on this PC.
-psycledelics-DiscussionsTECH BOARD ╗ Psycle 1.12.2 beta Reports
« Previous Thread Show a Printable Version  Send this to a Friend  Add to Favorites
Thread closed
Author
Post
Angelus
Psycler



Date Registered:
09.2002
Location:
Santiago> Galicia> Spain> Europe> Earth
Posts: 415


Angelus ist offline
  Psycle 1.12.2 beta Reports        Go on top to this Page

Hi! First of all, thanks for your efforts to bring us a new release (even a beta one) of Psycle.

The new built-in lua editor and parameter map look really promissing! Thanks again.

But I must to talk about an issue I've got testing LADSPA's: Psycle hangs when I try to replace LADSPA plugins for windows. Right now I can't load the following test file: [DOWNLOAD THE TEST FILE]. I don't remember which plugin I was trying to replace for. I don't want to recover the information, I've uploaded it just in case it could be useful for debugging purposes.

Thank's in advance, and...

Keep on the good work!

---------------

Edited the link to use the http address instead of the ftp address


__________________

(???)Oo. X( :( :| :) :)) :D .cC(Psycle!)

Last edited by [JAZ] on 05.03.2017, 21:21 o'clock.

05.03.2017, 19:26 Profile of Angelus Add Angelus to your Buddy-List
[JAZ]
Psycle Developer



Date Registered:
11.2001
Location:
Balaguer (Spain)
Posts: 1365


[JAZ] ist offline
         Go on top to this Page

Thanks for the report Angelus.

Yup, there was a missing check in the LADSPA code for when the plugin has been removed. In your case it was calf.dll.

I've just fixed it and reuploaded both installers and .zips with it (also fixed the 32bit .zip, that had the wrong name for psycle plugins dir)


__________________
<[JAZ]> Pa pi pa pa pa pi pa.... ;ĚD

05.03.2017, 22:03 Profile of [JAZ] Add [JAZ] to your Buddy-List
MfM
Psycler



Date Registered:
08.2003
Location:
catania-ITALY
Posts: 608


MfM ist offline
         Go on top to this Page

thank you man for everything you do.
downloading it ....


__________________
www.track3z.net

06.03.2017, 17:44 Profile of MfM Add MfM to your Buddy-List
Angelus
Psycler



Date Registered:
09.2002
Location:
Santiago> Galicia> Spain> Europe> Earth
Posts: 415


Angelus ist offline
         Go on top to this Page


I've got a psy file I'm using to test current beta that I can't load again in Psycle. I haven't had any problem saving it when it was created. The load progression window stops in around 10% and hangs Psycle. If you want to debug it you can [DOWNLOAD THE FILE HERE]. It only uses Psycle machines and 2 wav samples.

Thanks in advance.


__________________

(???)Oo. X( :( :| :) :)) :D .cC(Psycle!)

25.05.2017, 20:17 Profile of Angelus Add Angelus to your Buddy-List
Angelus
Psycler



Date Registered:
09.2002
Location:
Santiago> Galicia> Spain> Europe> Earth
Posts: 415


Angelus ist offline
         Go on top to this Page

Oops! I've forgotten to say that this file loads in beta 1. I've then saved it in this beta version and tried afterwards to load the new psy file back in beta 2 and it does ok.

Thanks in advance.


__________________

(???)Oo. X( :( :| :) :)) :D .cC(Psycle!)

25.05.2017, 21:56 Profile of Angelus Add Angelus to your Buddy-List
[JAZ]
Psycle Developer



Date Registered:
11.2001
Location:
Balaguer (Spain)
Posts: 1365


[JAZ] ist offline
         Go on top to this Page

Oups!!

You found a bug in the loading code of a new feature which allows to remap parameters of machines, made mostly for VSTs that have many parameters.
It turns out the data size was erroneous and somewhat worked when the song only had plugins, but with a sampler machine failed completely.

Here is an updated exe file with only this fix.


https://sourceforge.net/projects/psycle/...25.zip/download


__________________
<[JAZ]> Pa pi pa pa pa pi pa.... ;ĚD

25.05.2017, 22:44 Profile of [JAZ] Add [JAZ] to your Buddy-List
dark_virus
Psycler



Date Registered:
04.2004
Location:
Brazil
Posts: 293


dark_virus ist offline
         Go on top to this Page

Please, refresh my memory: Are the newer Psycle versions XP compatible?

Tried it on 2 XP computers to no avail. I get an error message saying something like "init failure, a reinstall may fix it". The Help file says it's XP compatible (at least ver. 1.12.0 is)

Also, I barely remember a missing system file is needed, but not sure.



PS. I already have an old Psycle version installed which i don't plan to drop for now. I don't think it has something to do, but just in case...


__________________
Myspace | Soundcloud

28.07.2017, 21:24 Profile of dark_virus Add dark_virus to your Buddy-List Homepage of dark_virus
Angelus
Psycler



Date Registered:
09.2002
Location:
Santiago> Galicia> Spain> Europe> Earth
Posts: 415


Angelus ist offline
         Go on top to this Page


I'm working on a WinXP SP3 system without any comparability issues... by now.

PS: Yes. I'm a really old-fashioned guy. And I don't care! Keep on tracking!


__________________

(???)Oo. X( :( :| :) :)) :D .cC(Psycle!)

29.07.2017, 14:05 Profile of Angelus Add Angelus to your Buddy-List
Angelus
Psycler



Date Registered:
09.2002
Location:
Santiago> Galicia> Spain> Europe> Earth
Posts: 415


Angelus ist offline
         Go on top to this Page

quote:
any comparability issues


Ops! I meant "compatibility issues".


__________________

(???)Oo. X( :( :| :) :)) :D .cC(Psycle!)

29.07.2017, 14:07 Profile of Angelus Add Angelus to your Buddy-List
[JAZ]
Psycle Developer



Date Registered:
11.2001
Location:
Balaguer (Spain)
Posts: 1365


[JAZ] ist offline
         Go on top to this Page

Yes, versions are still compiled with Visual studio 2008, which supports XP (it's from vs 2012 onwards that the XP compatibility is optional).

You might need the runtimes:
32bits:
vcredist_x86.exe

64bits:
vcredist_x64.exe


__________________
<[JAZ]> Pa pi pa pa pa pi pa.... ;ĚD

29.07.2017, 17:27 Profile of [JAZ] Add [JAZ] to your Buddy-List
dark_virus
Psycler



Date Registered:
04.2004
Location:
Brazil
Posts: 293


dark_virus ist offline
         Go on top to this Page

Thanks [JAZ] and Angelus for the feedback.

Yeah, I was searching about the issue right now and this site mentions the runtimes.

But does these runtimes interfere with my main Psycle installation (1.8.5)?


And Angelus, I say NO to programmed obsolescence!


__________________
Myspace | Soundcloud

29.07.2017, 17:40 Profile of dark_virus Add dark_virus to your Buddy-List Homepage of dark_virus
[JAZ]
Psycle Developer



Date Registered:
11.2001
Location:
Balaguer (Spain)
Posts: 1365


[JAZ] ist offline
         Go on top to this Page

No, it doesn't affect at all.

Psycle 1.8.5 uses an older version (different file names), and even it includes the files inside the folder, so they should both work without issues.


__________________
<[JAZ]> Pa pi pa pa pa pi pa.... ;ĚD

29.07.2017, 20:11 Profile of [JAZ] Add [JAZ] to your Buddy-List
dark_virus
Psycler



Date Registered:
04.2004
Location:
Brazil
Posts: 293


dark_virus ist offline
         Go on top to this Page

Everything working now! Thanks for the files.


__________________
Myspace | Soundcloud

29.07.2017, 20:47 Profile of dark_virus Add dark_virus to your Buddy-List Homepage of dark_virus
  « Previous Thread
Thread closed
Jump to:

© 2002-2007 psycledelics | Powered by Woltlab Burning Board v1 Beta4.5e ©2001 Woltlab GbR|Setup & mod for psycledelics by: SAS